Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 420095

Summary: sci-mathematics/glpk-4.47 USE=mysql with dev-db/mariadb:5.5 - /usr/include/mysql/m_string.h:177:14: error: conflicting types for '_glp_lib_str2int'
Product: Gentoo Linux Reporter: Francesco Riosa <vivo75>
Component: Current packagesAssignee: Robin Johnson <robbat2>
Status: RESOLVED FIXED    
Severity: normal CC: bircoph, devurandom, sci-mathematics, silvio.gerli, zeekec
Priority: Low    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge --info
sci-mathematics:glpk-4.47:20120607-103109.log
build.log (sci-mathematics/glpk-4.48)
build.log (sci-mathematics/glpk-4.52.1-r1)
glpk-4.52.1-mariadb-5.5.patch

Description Francesco Riosa 2012-06-07 11:30:39 UTC
priority is low because it involve masked packages

emerge -pv --nodeps sci-mathematics/glpk dev-db/mariadb
[ebuild   R    ] sci-mathematics/glpk-4.47  USE="mysql odbc static-libs -doc -examples -gmp" 0 kB
[ebuild   R   #] dev-db/mariadb-5.5.23::mysql  USE="community embedded extraengine libevent oqgraph perl profiling ssl test -berkdb -cluster -debug -latin1 -max-idx-128 -minimal -pbxt (-selinux) -sphinx -static -systemtap" 0 kB


libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I/usr/include/mysql -I/usr/include/iodbc -O2 -march=corei7-avx -pipe -frecord-gcc-switches -mno-movbe -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=corei7-avx -fgcse-after-reload -fpredictive-commoning -ftree-vectorize -funswitch-loops -fgraphite-identity -floop-block -floop-interchange -floop-strip-mine -ggdb -gdwarf-4 -fvar-tracking-assignments -c glpspm.c -o glpspm.o >/dev/null 2>&1/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/mysql  -I/usr/include/iodbc  -O2 -march=corei7-avx -pipe -frecord-gcc-switches -mno-movbe -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=corei7-avx -fgcse-after-reload -fpredictive-commoning -ftree-vectorize -funswitch-loops -fgraphite-identity -floop-block -floop-interchange -floop-strip-mine  -ggdb -gdwarf-4 -fvar-tracking-assignments -c -o glpsql.lo glpsql.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I/usr/include/mysql -I/usr/include/iodbc -O2 -march=corei7-avx -pipe -frecord-gcc-switches -mno-movbe -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=corei7-avx -fgcse-after-reload -fpredictive-commoning -ftree-vectorize -funswitch-loops -fgraphite-identity -floop-block -floop-interchange -floop-strip-mine -ggdb -gdwarf-4 -fvar-tracking-assignments -c glpsql.c  -fPIC -DPIC -o .libs/glpsql.o

In file included from /usr/include/mysql/my_valgrind.h:18:0,
                 from /usr/include/mysql/my_sys.h:31,
                 from glpsql.c:1110:
/usr/include/mysql/m_string.h:177:14: error: conflicting types for '_glp_lib_str2int'
glplib.h:82:5: note: previous declaration of '_glp_lib_str2int' was here
make[2]: *** [glpsql.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
Comment 1 Francesco Riosa 2012-06-07 11:30:56 UTC
Created attachment 314535 [details]
emerge --info
Comment 2 Francesco Riosa 2012-06-07 11:32:50 UTC
Created attachment 314537 [details]
sci-mathematics:glpk-4.47:20120607-103109.log

full emerge log
Comment 3 Silvio 2012-12-01 10:47:07 UTC
Same problem here.

emerge --info

Portage 2.1.11.32 (default/linux/amd64/10.0/desktop/kde, gcc-4.6.3, glibc-2.16.0, 3.6.8-gentoo x86_64)
=================================================================
System uname: Linux-3.6.8-gentoo-x86_64-Intel-R-_Core-TM-_i7-2630QM_CPU_@_2.00GHz-with-gentoo-2.2
Timestamp of tree: Fri, 30 Nov 2012 12:45:01 +0000
ld ld di GNU (GNU Binutils) 2.23.1
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.8 [enabled]
app-shells/bash:          4.2_p39
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/ccache:          3.1.8
dev-util/cmake:           2.8.10.2
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6, 1.12.5
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo bangert yarik-overlay belak sunrise amielke-overlay maggu2810-overlay gamerlay nikai zugaina voyageur pentoo luman manual bibletime
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=" http://mirror.ovh.net/gentoo-distfiles/ http://ftp.heanet.ie/pub/gentoo/ http://mirror.ovh.net/gentoo-distfiles/ http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/ rsync://rsync3.it.gentoo.org/gentoo-sources/ ftp://ftp.unina.it/pub/linux/distributions/gentoo/"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="it en"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/bangert /var/lib/layman/yarik-overlay /var/lib/layman/belak /var/lib/layman/sunrise /var/lib/layman/amielke-overlay /var/lib/layman/maggu2810-overlay /var/lib/layman/gamerlay /var/lib/layman/nikai /var/lib/layman/zugaina /var/lib/layman/voyageur /var/lib/layman/pentoo /var/lib/layman/luman /usr/portage/local/manual /var/lib/layman/bibletime"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3ds 64bit X a52 aac aalib acl acpi aiglx akode alias alsa amd64 amr ao apache apm apng audiofile autoreplace autotrace avahi avi bash-completion berkdb bitmap-fonts bluetooth bluray bmp branding browserplugin bzip bzip2 cairo cdaudio cdda cdr cli clucene connectionstatus consolekit contactnotes cracklib crypt cuda cups cvd cvs cxx dbus declarative dia dialup djvu dri dtmf dts dv dvd dvdr dvdread dvi dynamicplugin ebook emboss encode ethereal exif fam fat ffmpeg firefox flac fluidsynth fontconfig foomaticdb fortran freetds frei0r gdbm geolocation gif gimp git glib glitz gphoto2 gpm gps gpu groupwise gstreamer gtk gtk3 h323 highlight history hvm i8x0 iconv icu ieee1394 imagemagick innodb ios iphone ipod ipv6 irc ithreads jack java javascript jingle jpeg jpeg2k kde kdepim kerberos kipi kontact kqemu lame laptop lcms ldap libkms libnotify lm_sensors lucene m4a mad marble mbrola mdb mdnsresponder-compat mercurial midi mime minizip mmx mmxext mng modules moonlight mozilla mp3 mp4 mpeg mpeg2 mplayer msn mssql mudflap multilib musepack musicbrainz mysql ncurses netmeeting nls nowlistening npt1 nptl nptlonly nsplugin ntfs nvidia odbc ogg openal openexr opengl openipmi openmp oss pam pango pcmcia pcre pda pdf perl phonon plasma pmu png policykit portaudio postgres ppds pppd python python3 qemu qt qt3support qt4 quicktime rar raw rdesktop rdp readline reiserfs reports samba sametime sane scanner sdl semantic-desktop session silk sip sipim skype smp sms soundtouch speex spell sqlite sse sse2 ssh ssl ssse3 startup-notification subtitles subversion svg tcpd texteffect texteffects theora tidy tiff timidity tordns translator truetype truetype-fonts twolame type1-fonts udev udisks unicode upower usb utempter v4l v4l2 vcd vdpau video virtualbox vnc vorbis wav wavpack webkit webpresence wicd wifi win64 winetriks winpopup wlm wmf wxwidgets wxwindows x264 xcb xcomposite xen xetex xine xinerama xml xscreensaver xv xvid xvmc yahoo zeroconf zlib" ALSA_CARDS="snd_hda_intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev joystick synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="it en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa nouveau v4l v4l2" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 4 Silvio 2012-12-01 10:54:24 UTC
Using 

USE=-mysql it compiles well
Comment 5 Sébastien Fabbro (RETIRED) gentoo-dev 2012-12-12 19:59:28 UTC
works fine with dev-db/mysql. is it a problem with mariadb?
Comment 6 Brian Evans Gentoo Infrastructure gentoo-dev 2013-03-25 13:28:12 UTC
(In reply to comment #0)
> priority is low because it involve masked packages
> 
> emerge -pv --nodeps sci-mathematics/glpk dev-db/mariadb
> [ebuild   R    ] sci-mathematics/glpk-4.47  USE="mysql odbc static-libs -doc
> -examples -gmp" 0 kB
> [ebuild   R   #] dev-db/mariadb-5.5.23::mysql  USE="community embedded
> extraengine libevent oqgraph perl profiling ssl test -berkdb -cluster -debug
> -latin1 -max-idx-128 -minimal -pbxt (-selinux) -sphinx -static -systemtap" 0
> kB
> 
> 
> libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..
> -I/usr/include/mysql -I/usr/include/iodbc -O2 -march=corei7-avx -pipe
> -frecord-gcc-switches -mno-movbe -mno-abm -mno-lwp -mno-fma -mno-fma4
> -mno-xop -mno-bmi -mno-tbm --param l1-cache-size=32 --param
> l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=corei7-avx
> -fgcse-after-reload -fpredictive-commoning -ftree-vectorize -funswitch-loops
> -fgraphite-identity -floop-block -floop-interchange -floop-strip-mine -ggdb
> -gdwarf-4 -fvar-tracking-assignments -c glpspm.c -o glpspm.o >/dev/null
> 2>&1/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc
> -DHAVE_CONFIG_H -I. -I..   -I/usr/include/mysql  -I/usr/include/iodbc  -O2
> -march=corei7-avx -pipe -frecord-gcc-switches -mno-movbe -mno-abm -mno-lwp
> -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm --param l1-cache-size=32
> --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=corei7-avx
> -fgcse-after-reload -fpredictive-commoning -ftree-vectorize -funswitch-loops
> -fgraphite-identity -floop-block -floop-interchange -floop-strip-mine  -ggdb
> -gdwarf-4 -fvar-tracking-assignments -c -o glpsql.lo glpsql.c
> libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..
> -I/usr/include/mysql -I/usr/include/iodbc -O2 -march=corei7-avx -pipe
> -frecord-gcc-switches -mno-movbe -mno-abm -mno-lwp -mno-fma -mno-fma4
> -mno-xop -mno-bmi -mno-tbm --param l1-cache-size=32 --param
> l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=corei7-avx
> -fgcse-after-reload -fpredictive-commoning -ftree-vectorize -funswitch-loops
> -fgraphite-identity -floop-block -floop-interchange -floop-strip-mine -ggdb
> -gdwarf-4 -fvar-tracking-assignments -c glpsql.c  -fPIC -DPIC -o
> .libs/glpsql.o
> 
> In file included from /usr/include/mysql/my_valgrind.h:18:0,
>                  from /usr/include/mysql/my_sys.h:31,
>                  from glpsql.c:1110:
> /usr/include/mysql/m_string.h:177:14: error: conflicting types for
> '_glp_lib_str2int'
> glplib.h:82:5: note: previous declaration of '_glp_lib_str2int' was here
> make[2]: *** [glpsql.lo] Error 1
> make[2]: *** Waiting for unfinished jobs....

I no longer see the above reference in /usr/include/mysql/m_string.h with MariaDB 5.5.30.  Please retest.
Comment 7 Brian Evans Gentoo Infrastructure gentoo-dev 2013-03-25 13:33:43 UTC
(In reply to comment #6)
> I no longer see the above reference in /usr/include/mysql/m_string.h with
> MariaDB 5.5.30.  Please retest.

Sorry for the noise.  It still occurs.
Comment 8 Dennis Schridde 2013-12-21 21:54:11 UTC
Created attachment 365850 [details]
build.log (sci-mathematics/glpk-4.48)

Persists with sci-mathematics/glpk-4.48
Comment 9 Dennis Schridde 2014-02-04 12:02:13 UTC
Created attachment 369524 [details]
build.log (sci-mathematics/glpk-4.52.1-r1)

Persists with sci-mathematics/glpk-4.52.1-r1
Comment 10 Dennis Schridde 2014-02-04 12:26:24 UTC
Reported against MariaDB: https://mariadb.atlassian.net/browse/CONC-73
Comment 11 Dennis Schridde 2014-02-04 14:46:17 UTC
Reported against GLPK: http://lists.gnu.org/archive/html/bug-glpk/2014-02/msg00001.html
Comment 12 Dennis Schridde 2014-02-05 21:19:09 UTC
Created attachment 369656 [details, diff]
glpk-4.52.1-mariadb-5.5.patch

The fix [1] presented on the upstream mailinglist works. Please find it attached as a patch.

[1] http://lists.gnu.org/archive/html/bug-glpk/2014-02/msg00004.html
Comment 13 Sébastien Fabbro (RETIRED) gentoo-dev 2014-02-05 21:54:49 UTC
+  05 Feb 2014; Sébastien Fabbro <bicatali@gentoo.org>
+  +files/glpk-4.52.1-mariadb-5.5.patch, glpk-4.45.ebuild, glpk-4.48.ebuild,
+  glpk-4.52.1-r1.ebuild:
+  Fixed bug #420095 when mariadb is selected, thanks Dennis Schridde for his
+  patch
+